﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Admin/AdminSystem.master" Inherits="Admin_admin" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
<style type="text/css">
th {width:150px}
</style>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder2" runat="server">
<ul class="lavaLamp">
            <li><a href="../Login.aspx?task=logout"><%=Trans.T("logout")%></a></li>
            <li><a href="reporting.aspx"><%=Trans.T("reporting") %></a></li>
            <li><a href="translations.aspx"><%=Trans.T("translations") %></a></li>
            <li><a href="script.aspx"><%=Trans.T("scriptlibrary")%></a></li>
            <li><a href="database.aspx"><%=Trans.T("database")%></a></li>
            <li><a href="users.aspx"><%=Trans.T("security")%></a></li>
            <li class="current"><a href="admin.aspx"><%=Trans.T("settings")%></a></li>            
        </ul>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
<div id="maincontent">
<div class="Header"><input type="button" style="float:right;position:relative;top:-3px;" value="<%=Trans.T("uninstall")%>" onclick="reinstall()" id="btnReinstall"/> <%=Trans.T("settings")%> - SQLCMS v<%=Settings.SQLCMS_VERSION %></div>
<div id="tabs">
    <ul>
        <li><a href="#Settings"><span><%=Trans.T("settings")%></span></a></li>
        <li><a href="#Language"><span><%=Trans.T("language")%></span></a></li>
        <li><a href="#ExcludeObjects"><span><%=Trans.T("excludeobjects")%></span></a></li>
        <li><a href="#EmailServer"><span><%=Trans.T("emailserver")%></span></a></li>
        <li><a href="#SetupLog"><span><%=Trans.T("installlog")%></span></a></li>
    </ul>
<div id="Settings">
    <table class="tblInstall">
        <tr><th><%=Trans.T("cmsname")%></th><td><input type="text" id="txtProjectName" maxlength="50" style="width:100px;" value="<%=Settings.ProjectName %>"/></td></tr>
        <tr><th><%=Trans.T("connectionstring")%></th><td><input type="text" id="txtConnectionString" maxlength="300" style="width:300px" value="<%=Settings.SQLConnectionString%>"/></td></tr>
        <tr><th><%=Trans.T("commandtimeout")%></th><td><input type="text" id="txtCommandTimeout" maxlength="4" value="<%=Settings.SQLServerCommandTimeOut%>"/> <%=Trans.T("seconds") %></td></tr>
        <tr><th><%=Trans.T("usagestats")%></th><td><input type="checkbox" id="chkUsageStats" <%=UsageStats%>/> (<%=Trans.T("anonymous") %>)</td></tr>
        <tr><th><%=Trans.T("forwardonexceptions")%></th><td><input type="checkbox" id="chkForwardOnExceptions" <%=ForwardOnExceptions%>/> (<%=Trans.T("forwardexceptionsexplainer") %>)</td></tr>
        <tr><th><%=Trans.T("dateformat")%></th><td><input type="text" id="txtDateFormat" maxlength="50" style="width:200px;" value="<%=Settings.DateFormat%>" /> <%=Trans.T("javascriptdateformat")%></td></tr>
        <tr><th><%=Trans.T("timezoneoffset")%></th><td><input type="text" id="txtTimeZoneOffset" maxlength="50" value="<%=Settings.TimeZoneOffset%>"/></td></tr>
        <tr><th><%=Trans.T("defaultcurrency")%></th><td><input type="text" id="txtCurrency" maxlength="50" style="width:60px;" value="<%=Settings.Currency %>"/></td></tr>
        <tr><th><%=Trans.T("cssurl")%></th><td><input type="text" id="txtCSSURL" maxlength="200" style="width:200px;" value="<%=Settings.CSSURL %>"/> <%=Trans.T("sitecssfile")%></td></tr>
        <tr><th valign="top"><%=Trans.T("startupjavascript")%></th><td><textarea id="txtStartJS"><%=Settings.StartUpScript%></textarea></td></tr>
        <tr><th> </th><td><input type="button" id="Button1" value="<%=Trans.T("save")%>" onclick="SaveSettings()"/></td></tr>
    </table>
</div>
<div id="Language">
    <table class="tblInstall">
        <tr><th><%=Trans.T("defaultlanguage")%></th><td><select id="ddlLanguage" onchange="location.href='admin.aspx?lang='+SelectedValue('ddlLanguage')+'&tabid=1'"><%=LanguageOptions %></select> <a style="color:#0066ff" href="translations.aspx"><%=Trans.T("more")%></a></td></tr>
    </table>
</div>
<div id="ExcludeObjects">
    <table class="tblInstall">
        <tr><th><%=Trans.T("tables")%></th><td><input type="text" id="txtExcludeTables" maxlength="500" style="width:200px;" value="<%=Settings.ExcludeTables %>"/></td></tr>
        <tr><th><%=Trans.T("views")%></th><td><input type="text" id="txtExcludeViews" maxlength="500" style="width:200px;" value="<%=Settings.ExcludeViews %>"/></td></tr>
        <tr><th><%=Trans.T("procedures")%></th><td><input type="text" id="txtExcludeProcs" maxlength="500" style="width:200px;" value="<%=Settings.ExcludeProcs %>"/></td></tr>
        <tr><th> </th><td><input type="button" id="btnSave2" value="<%=Trans.T("save")%>" onclick="SaveSettings()"/></td></tr>
    </table>
</div>
<div id="EmailServer">
    <table class="tblInstall">
        <tr><th><%=Trans.T("smtpserver")%></th><td><input type="text" id="txtSMTP" maxlength="100" value="<%=Settings.SMTPServer %>" style="width:200px"/> <%=Trans.T("port")%> <input type="text" id="txtPort" maxlength="50" style="width:50px;" value="<%=Settings.SMTPPort %>"/></td></tr>
        <tr><th><%=Trans.T("username")%></th><td><input type="text" id="txtSMTPUsername" maxlength="50" value="<%=Settings.SMTPUsername %>"/></td></tr>
        <tr><th><%=Trans.T("password")%></th><td><input type="password" id="txtSMTPPassword" maxlength="50" value="<%=Settings.SMTPPassword %>"/></td></tr>
        <tr><th><%=Trans.T("adminemail")%></th><td><input type="text" id="txtEmail" maxlength="100" style="width:200px;" value="<%=Settings.AdminEmail %>"/></td></tr>
        <tr><th> </th><td><input type="button" id="btnSave" value="<%=Trans.T("save")%>" onclick="SaveSettings()"/></td></tr>
    </table>
</div>
<div id="SetupLog">
    <iframe style="width:100%;height:400px" src="../XML/SetupLog.txt"></iframe>
</div>
</div>
</div>
<script type="text/javascript">
    $("#tabs").tabs({ selected: <%=TabID %> });
</script>
</asp:Content>

