﻿var INSTALLER = {
    version: "2",
    author: "DeveloperInABox.com",
    releaseDate: "2010-18-10",
    busy: false,
    dialog: null,
    tablelist: null,
    currentDropDowns: null,
    publishStage: 0,
    publishStages: 7,
    init: function () {
        var myDate = new Date();
        GEID("txtTimeZoneOffset").value = 0 - (myDate.getTimezoneOffset() / 60);
        INSTALLER.Track("Install Start");
    },
    install: function (step) {
        switch (step) {
            case 0:
                hide(GEID("step2"));
                hide(GEID("step3"));
                show(GEID("step1"));
                break;
            case 1:
                hide(GEID("step1"));
                hide(GEID("step3"));
                show(GEID("step2"));
                INSTALLER.Track("Step1 - " + GEID("txtYourName").value + ": " + GEID("txtYourEmail").value);
                break;
            case 2:
                WaitButton("btnNext2");
                var $tabs = $('#tabs').tabs();
                SQLCMS.SaveSettings1(GEID("txtProjectName").value, SelectedValue("ddlLanguage"), GEID("txtDateFormat").value, GEID("txtTimeZoneOffset").value, GEID("txtCurrency").value, GEID("txtStoredProcedurePrefix").value, GEID("txtSMTP").value, GEID("txtPort").value,
                GEID("txtSMTPUsername").value, GEID("txtSMTPPassword").value, GEID("txtEmail").value, $tabs.tabs('option', 'selected'), "MSSQL", GEID("txtServer").value, RadioValue("rdoAuthentication"), GEID("txtUsername").value, GEID("txtPassword").value,
                GEID("txtDatabaseName").value, GEID("txtConnectionString").value, GEID("txtExcludeTables").value, GEID("txtExcludeViews").value, GEID("txtExcludeProcs").value, INSTALLER.settingsSaved);
                break;
            case 3:
                if (!GEID("chkDisclaimer").checked) {
                    alert(Translations.JS_agreedisclaimer);
                    return;
                }
                GEID("btnFinish").disabled = true;
                GEID("btnFinish").value = Translations.JS_wait;
                var $tabs2 = $('#tabs2').tabs();
                var $tabs3 = $('#tabs3').tabs();
                SQLCMS.SaveSettings2($tabs2.tabs('option', 'selected'), GEID("txtUsernameLogin").value, GEID("txtPasswordLogin").value, SelectedValue("ddlUTable"), SelectedValue("ddlUUserID"), SelectedValue("ddlUUsername"),
                SelectedValue("ddlUPassword"), SelectedValue("ddlUserrole"), SelectedValue("ddlUserroleID"), SelectedValue("ddlUserroleName"), $tabs3.tabs('option', 'selected'), SelectedValue("ddlUUsergroupID"), SelectedValue("ddlRMTable"),
                SelectedValue("ddlRMUserID"), SelectedValue("ddlRMRoleID"), INSTALLER.settingsSaved2);
                break;
        }
    },
    ListServers: function () {
        if (INSTALLER.dialog != null)
            INSTALLER.dialog.unload();
        INSTALLER.dialog = new Boxy("<div id=\"SQLDATASOURCES\">" + Translations.JS_loading + "</div>", { title: Translations.JS_localservers, modal: false });
        INSTALLER.dialog.show();
        SQLCMS.GetSQLDataSources(INSTALLER.ShowServers);
    },
    ShowServers: function (o) {
        GEID("SQLDATASOURCES").innerHTML = o;
    },
    ListDatabases: function () {
        if (INSTALLER.dialog != null)
            INSTALLER.dialog.unload();
        INSTALLER.dialog = null;
        INSTALLER.dialog = new Boxy("<div id=\"SQLDATABASES\">" + Translations.JS_loading + "</div>", { title: Translations.JS_availabledatabases, modal: false });
        INSTALLER.dialog.show();
        SQLCMS.GetSQLDatabases(GEID("txtServer").value, RadioValue("rdoAuthentication"), GEID("txtUsername").value, GEID("txtPassword").value, INSTALLER.ShowDatabases);
    },
    ShowDatabases: function (o) {
        GEID("SQLDATABASES").innerHTML = o;
    },
    Track: function (message) {
        if (SQLCMS_Tracking_Enabled)
            GEID("img_tracker").src = "http://www.developerinabox.com/track.aspx?message=" + message;
    },
    FailAlert: function () {
        alert(Translations.JS_failalert);
    },
    settingsSaved: function (o) {
        GEID("btnNext2").disabled = false;
        GEID("btnNext2").value = Translations.JS_next + " >>";
        if (o[0] == "OK") {
            INSTALLER.Track("Step2");
            hide(GEID("step1"));
            hide(GEID("step2"));
            show(GEID("step3"));
            INSTALLER.currentDropDowns = 'ddlUTable,ddlUserrole,ddlRMTable';
            SQLCMS.GetTables(INSTALLER.popTables);
        }
        else {
            alert(o[0]);
        }
    },
    settingsSaved2: function (o) {
        if (o[0] == "OK") {
            INSTALLER.Track("Step3");
            if (INSTALLER.dialog != null)
                INSTALLER.dialog.unload();
            INSTALLER.dialog = new Boxy("<div id=\"Progress\" style=\"width:400px;height:400px;overflow:auto\"></div><iframe src=\"publish.aspx\" frameborder=\"0px\" style=\"width:0px;height:0px\"/>", { title: Translations.JS_publishing, modal: true });
            INSTALLER.dialog.show();
        }
        else {
            GEID("btnFinish").disabled = false;
            GEID("btnFinish").value = Translations.JS_finish + " >>";
            alert(o[0]);
        }
    },
    ShowProgress: function (o) {
        GEID("Progress").innerHTML += o;
    },
    ResetProgress: function () {
        GEID("btnFinish").disabled = false;
        GEID("btnFinish").value = Translations.JS_finish + " >>";
    },
    popTables: function (o) {
        INSTALLER.tablelist = o;        
        var _ids = INSTALLER.currentDropDowns.split(',');
        for (var _i = 0; _i < _ids.length; _i++) {
            if (_ids[_i] != "") {
                var _ddl = GEID(_ids[_i]);
                for (var _j = _ddl.options.length - 1; _j >= 1; _j--) {
                    _ddl.removeChild(_ddl.options[_j]);
                }
            }
        }
        var _indexes = new Array();
        for (var _j = 0; _j < INSTALLER.tablelist.length; _j++) {
            for (var _i = 0; _i < _ids.length; _i++) {
                if (_ids[_i] != "") {
                    var elOptNew = document.createElement('option');
                    elOptNew.text = INSTALLER.tablelist[_j].toString();
                    elOptNew.value = elOptNew.text;
                    GEID(_ids[_i]).add(elOptNew, null);
                    if (elOptNew.text == GEID(_ids[_i]).getAttribute("default")) {
                        _indexes[_j] = _i + 1;
                    }
                }
            }
        }
    },
    getColumns: function (o, ddlColumns) {
        if (o.options[o.selectedIndex].value == "-1") {
            return;
        }
        INSTALLER.currentDropDowns = ddlColumns;
        var _ids = INSTALLER.currentDropDowns.split(',');
        for (var _i = 0; _i < _ids.length; _i++) {
            if (_ids[_i] != "") {
                var _ddl = GEID(_ids[_i]);
                for (var _j = _ddl.options.length - 1; _j >= 0; _j--) {
                    _ddl.removeChild(_ddl.options[_j]);
                }
                var elOptNew = document.createElement('option');
                elOptNew.text = Translations.JS_loading;
                elOptNew.value = "-1";
                _ddl.add(elOptNew, null);
            }
        }
        SQLCMS.GetColumns(o.options[o.selectedIndex].value, INSTALLER.popColumns);
    },
    popColumns: function (o) {
        var _ids = INSTALLER.currentDropDowns.split(',');
        var _indexes = new Array();
        for (var _j = 0; _j < o.length; _j++) {
            for (var _i = 0; _i < _ids.length; _i++) {
                if (_ids[_i] != "") {
                    var elOptNew = document.createElement('option');
                    elOptNew.text = o[_j].toString();
                    elOptNew.value = elOptNew.text;
                    GEID(_ids[_i]).add(elOptNew, null);
                    if (elOptNew.text == GEID(_ids[_i]).getAttribute("default")) {
                        _indexes[_j] = _i + 1;
                    }
                }
            }
        }
        for (var _i = 0; _i < _ids.length; _i++) {
            GEID(_ids[_i]).options[0].text = Translations.JS_select;
        }
    },
    SetAuth: function (o) {
        var sql = o.value == "SQL";
        GEID("txtUsername").disabled = !sql;
        GEID("txtPassword").disabled = !sql;
    }

};

function WaitButton(id) {
    GEID(id).disabled = true;
    GEID(id).value = Translations.JS_wait;
    window.setTimeout("AnimateButton('" + id + "','.')",1000);
}
function AnimateButton(id, ext) {
    if (GEID(id).disabled) {
        var _v = GEID(id).value;
        _v += ext;
        if (_v.indexOf(ext + ext + ext + ext) != -1)
            _v = _v.substring(0, _v.indexOf(ext + ext + ext + ext)+1);
        GEID(id).value = _v;
        window.setTimeout("AnimateButton('" + id + "','.')", 1000);
    }
}

function ShowError(e) {
    GEID("EM").innerHTML = e;
    show(GEID("E"));
}
function HideError() {
    hide(GEID("E"));
}
function Wait(id) {
    GEID(id).innerHTML = "<div style=\"padding:4px\">"+Translations.JS_pleasewait+"</div>";
}
function GEID(id) { return document.getElementById(id); }
function RadioValue(groupname) {
    var colRadio = document.getElementsByName(groupname);
    var val = -1;
    for (var i = 0; i < colRadio.length; i++) {
        if (colRadio[i].checked) {
            val = colRadio[i].value;
            break;
        }
    }
    return val;
}
function checkEnter(e, func) {
    var characterCode;
    if (e && e.which) { e = e; characterCode = e.which; }
    else {
        characterCode = e.keyCode;
    }
    if (characterCode == 13) {
        e.cancelBubble = true;
        if (func != null) {
            eval(func);
        }       
        return false;
    }
    else {
        return true;
    }
}
function SelectedValue(id) {
    var o = GEID(id);
    return o.options[o.selectedIndex].value;
}
function hide(o) {
    if (o != null) {
        o.style.visibility = "hidden";
        o.style.display = "none";
    }
}
function show(o) {
    if (o != null) {
        o.style.visibility = "visible";
        o.style.display = "block";
    }
}
function createCookie(name, value, days) {
    var expires = "";
    if (days) {
        var date = new Date();
        date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
        expires = "; expires=" + date.toGMTString();
    }
    document.cookie = name + "=" + value + expires + "; path=/";
}
function readCookie(Name) {
    var re = new RegExp(Name + "=[^;]+", "i"); //construct RE to search for target name/value pair
    if (document.cookie.match(re)) //if cookie found
        return document.cookie.match(re)[0].split("=")[1] //return its value
    return ""
}
function eraseCookie(name) {
    createCookie(name, "", -1);
}

if (typeof (Sys) !== 'undefined') {
    Sys.Application.add_load(INSTALLER.init);
} 