﻿<%@ Page Title="" Language="C#" MasterPageFile="~/install.master" Inherits="cms_installer" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
    <script type="text/javascript">
    $(document).ready(function () {
        $("#tabs").tabs({selected:<%=Settings.SQLMode %>});
        $("#tabs2").tabs({selected:<%=Settings.UserConfig.UserMode %>});
        $("#tabs3").tabs({selected:<%=Settings.UserConfig.SecurityMode %>});
    });
  </script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <div id="step1">
    <div class="step"><%=Trans.T("installer_step") %> 1/3</div>
    <div style="padding:10px;"><%=Trans.T("sqlcms_installer_intro")%></div>
    <div class="Header"><%=Trans.T("language")%></div>
    <table class="tblInstall">
    <tr><th><%=Trans.T("defaultlanguage")%></th><td><select id="ddlLanguage" onchange="location.href='install.aspx?lang='+SelectedValue('ddlLanguage')"><%=LanguageOptions %></select></td></tr>
    </table>
    <div class="Header"><%=Trans.T("yourdetails")%></div>
    <p><%=Trans.T("yourdetailsexplainer") %></p>
    <table class="tblInstall">
    <tr><th><%=Trans.T("yourname")%></th><td><input type="text" id="txtYourName" maxlength="100" value=""/></td></tr>
    <tr><th><%=Trans.T("youremail")%></th><td><input type="text" id="txtYourEmail" maxlength="100" value=""/></td></tr>
    </table>
    <div style="clear:both;height:30px;padding-top:20px;">
     <input type="button" style="float:right;font-weight:bold;" value="<%=Trans.T("JS_next") %> &gt;&gt;" onclick="INSTALLER.install(1)" id="btnNext1" />
    </div>
</div>
<div id="step2" style="visibility:hidden;display:none">
    <div class="step"><%=Trans.T("installer_step")%> 2/3</div>
    <div class="Header"><%=Trans.T("sitesettings")%></div>
    <table class="tblInstall">
        <tr><th><%=Trans.T("cmsname")%></th><td><input type="text" id="txtProjectName" maxlength="50" value="<%=Settings.ProjectName %>"/></td></tr>
        <tr><th><%=Trans.T("dateformat")%></th><td><input type="text" id="txtDateFormat" maxlength="50" value="<%=Settings.DateFormat%>"/> <%=Trans.T("javascriptdateformat")%></td></tr>
        <tr><th><%=Trans.T("timezoneoffset")%></th><td><input type="text" id="txtTimeZoneOffset" maxlength="50" value=""/></td></tr>
        <tr><th><%=Trans.T("defaultcurrency")%></th><td><input type="text" id="txtCurrency" maxlength="50" value="<%=Settings.Currency %>"/></td></tr>
        <tr><th valign="top"><%=Trans.T("procedureprefix")%></th><td valign="top"><input type="text" id="txtStoredProcedurePrefix" maxlength="50" value="<%=Settings.ProcedurePrefix %>"/><br /><%=Trans.T("uniqueprocnotice")%></td></tr>
    </table>
    <div class="Header"><%=Trans.T("emailserver")%></div>
    <table class="tblInstall">
        <tr><th><%=Trans.T("smtpserver")%></th><td><input type="text" id="txtSMTP" maxlength="100" value="<%=Settings.SMTPServer %>"/> <%=Trans.T("port") %> <input type="text" id="txtPort" maxlength="50" style="width:50px;" value="<%=Settings.SMTPPort %>"/></td></tr>
        <tr><th><%=Trans.T("username")%></th><td><input type="text" id="txtSMTPUsername" maxlength="50" value="<%=Settings.SMTPUsername %>"/></td></tr>
        <tr><th><%=Trans.T("password")%></th><td><input type="password" id="txtSMTPPassword" maxlength="50" value="<%=Settings.SMTPPassword %>"/></td></tr>
        <tr><th><%=Trans.T("adminemail")%></th><td><input type="text" id="txtEmail" maxlength="100" value="<%=Settings.AdminEmail %>"/></td></tr>
    </table>
    <div class="Header"><%=Trans.T("sqlserver")%></div>
    <p><%=Trans.T("sqlconnectdetails") %></p>
    <div id="tabs">
        <ul>
            <li><a href="#fragment-1"><span><%=Trans.T("databasewizard")%></span></a></li>
            <li><a href="#fragment-2"><span><%=Trans.T("connectionstring")%></span></a></li>
        </ul>
        <div id="fragment-1">
            <table class="tblInstall">
                <tr><th valign="top"><%=Trans.T("server")%></th><td valign="top"><input type="text" id="txtServer" maxlength="200" value="<%=Settings.SQLServerName %>"/><input type="button" id="btnListServers" value="..." onclick="INSTALLER.ListServers()" /><br />eg: webserver3 or 202.119.145.33</td></tr>
                <tr><th><%=Trans.T("authenticationmode") %></th><td><input type="radio" id="rdoAuth" value="Integrated" name="rdoAuthentication" onclick="INSTALLER.SetAuth(this)"/><label for="rdoAuth1"><%=Trans.T("integrated") %></label><input type="radio" id="rdoAuth2" value="SQL" name="rdoAuthentication" checked="checked" onclick="INSTALLER.SetAuth(this)"/><label for="rdoAuth1">SQL</label></td></tr>
                <tr><th><%=Trans.T("username")%></th><td><input type="text" id="txtUsername" maxlength="100" value="<%=Settings.SQLServerUsername %>"/></td></tr>
                <tr><th><%=Trans.T("password")%></th><td><input type="password" id="txtPassword" maxlength="50" value="<%=Settings.SQLServerPassword %>"/></td></tr>
                <tr><th><%=Trans.T("databasename")%></th><td><input type="text" id="txtDatabaseName" maxlength="100" value="<%=Settings.SQLServerDatabase %>"/><input type="button" id="btnListDatabases" value="..." onclick="INSTALLER.ListDatabases()" /></td></tr>
            </table>
        </div>
        <div id="fragment-2">
            <table class="tblInstall">
                <tr><th><%=Trans.T("connectionstring") %></th><td><input type="text" id="txtConnectionString" value="" maxlength="300"/></td></tr>
            </table>
        </div>
    </div>
    <div class="Header"><%=Trans.T("excludeobjects")%></div>
    <table class="tblInstall">
        <tr><th><%=Trans.T("tables")%></th><td><input type="text" id="txtExcludeTables" maxlength="500" value="<%=Settings.ExcludeTables %>"/></td></tr>
        <tr><th><%=Trans.T("views")%></th><td><input type="text" id="txtExcludeViews" maxlength="500" value="<%=Settings.ExcludeViews %>"/></td></tr>
        <tr><th><%=Trans.T("procedures")%></th><td><input type="text" id="txtExcludeProcs" maxlength="500" value="<%=Settings.ExcludeProcs %>"/></td></tr>
    </table>
    <div style="clear:both;height:30px;padding-top:20px;">
     <input type="button" style="float:right;font-weight:bold;" value="<%=Trans.T("JS_next") %> &gt;&gt;" onclick="INSTALLER.install(2)" id="btnNext2" /> <input type="button" style="float:right;font-weight:bold;" value="&lt;&lt; <%=Trans.T("previous")%>" onclick="INSTALLER.install(0)" />
    </div>
</div>
<div id="step3" style="visibility:hidden;display:none">
    <div class="step"><%=Trans.T("installer_step") %> 3/3</div>
    <div class="Header"><%=Trans.T("usermanagement")%></div>
    <div id="tabs2">
        <ul>
            <li><a href="#fragment-3"><span><%=Trans.T("builtin")%></span></a></li>
            <li><a href="#fragment-4"><span><%=Trans.T("fromdatabase")%></span></a></li>
        </ul>
        <div id="fragment-3">
            <p><%=Trans.T("builtinexplainer")%></p>
            <table class="tblInstall">
                <tr><th><%=Trans.T("username")%></th><td><input type="text" id="txtUsernameLogin" maxlength="50" value="<%=Settings.UserConfig.UsernameLogin %>"/></td></tr>
                <tr><th><%=Trans.T("password")%></th><td><input type="password" id="txtPasswordLogin" maxlength="50" value="<%=Settings.UserConfig.PasswordLogin %>"/></td></tr>
            </table>
        </div>
        <div id="fragment-4">
            <p><%=Trans.T("specifytables")%></p>
            <table class="tblInstall">
                <tr><th><%=Trans.T("userstable")%></th><td><select id="ddlUTable" onchange="INSTALLER.getColumns(this,'ddlUUserID,ddlUUsername,ddlUPassword,ddlUUsergroupID')" default="<%=Settings.UserConfig.UserTable %>"><option value="-1"><%=Trans.T("select")%></option></select></td></tr>
                <tr><th><%=Trans.T("useridcolumn")%></th><td><select id="ddlUUserID" default="<%=Settings.UserConfig.UserIDColumn %>"><option value="-1"><%=Trans.T("select")%></option></select></td></tr>
                <tr><th><%=Trans.T("usernamecolumn")%></th><td><select id="ddlUUsername" default="<%=Settings.UserConfig.UsernameColumn %>"><option value="-1"><%=Trans.T("select")%></option></select></td></tr>
                <tr><th><%=Trans.T("passwordcolumn")%></th><td><select id="ddlUPassword" default="<%=Settings.UserConfig.PasswordColumn %>"><option value="-1"><%=Trans.T("select")%></option></select></td></tr>
            </table>
            <div class="Header"><%=Trans.T("rolesgroups")%></div>
            <table class="tblInstall">
                <tr><th><%=Trans.T("roletable")%></th><td><select id="ddlUserrole" onchange="INSTALLER.getColumns(this,'ddlUserroleID,ddlUserroleName')" default="<%=Settings.UserConfig.RoleTable %>"><option value="-1"><%=Trans.T("select")%></option></select></td></tr>
                <tr><th><%=Trans.T("roleidcolumn")%></th><td><select id="ddlUserroleID" default="<%=Settings.UserConfig.RoleIDColumn %>"><option value="-1"><%=Trans.T("select")%></option></select></td></tr>
                <tr><th><%=Trans.T("rolenamecolumn")%></th><td><select id="ddlUserroleName" default="<%=Settings.UserConfig.RoleNameColumn %>"><option value="-1"><%=Trans.T("select")%></option></select></td></tr>
            </table>
            <div class="Header"><%=Trans.T("security")%></div>
            <div id="tabs3">
                <ul>
                    <li><a href="#fragment-4-1"><span><%=Trans.T("usergroupbased")%></span></a></li>
                    <li><a href="#fragment-4-2"><span><%=Trans.T("rolebased")%></span></a></li>
                </ul>
                <div id="fragment-4-1">
                <table class="tblInstall">
                    <tr><th style="width:200px"><%=Trans.T("usergroupidcolumn")%></th><td><select id="ddlUUsergroupID" default="<%=Settings.UserConfig.UsergroupIDColumn %>"><option value="-1"><%=Trans.T("select")%></option></select></td></tr>
                </table>
                </div>
                <div id="fragment-4-2">
                <table class="tblInstall">
                    <tr><th><%=Trans.T("rolemaptable")%></th><td><select id="ddlRMTable" onchange="INSTALLER.getColumns(this,'ddlRMUserID,ddlRMRoleID')" default="<%=Settings.UserConfig.RoleMapTable %>"><option value="-1"><%=Trans.T("select")%></option></select></td></tr>
                    <tr><th><%=Trans.T("useridcolumn")%></th><td><select id="ddlRMUserID" default="<%=Settings.UserConfig.RoleMapUserIDColumn %>"><option value="-1"><%=Trans.T("select")%></option></select></td></tr>
                    <tr><th><%=Trans.T("roleidcolumn")%></th><td><select id="ddlRMRoleID" default="<%=Settings.UserConfig.RoleMapRoleIDColumn %>"><option value="-1"><%=Trans.T("select")%></option></select></td></tr>
                </table>
                </div>
            </div>
        </div>
    </div>
    <div class="Header"><%=Trans.T("disclaimer")%></div>
            <div><textarea id="txtAreaDisclaimer" readonly="readonly" style="width:530px;height:100px;">THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</textarea>
            <div style="padding-top:10px;text-align:right"><label for="chkDisclaimer" style="font-weight:700"><%=Trans.T("agreedisclaimer")%></label><input type="checkbox" id="chkDisclaimer" /></div></div>
    <div style="clear:both;height:30px;padding-top:20px;">
     <input type="button" style="float:right;font-weight:bold;" value="<%=Trans.T("finish")%> &gt;&gt;" onclick="INSTALLER.install(3)" id="btnFinish" /> <input type="button" style="float:right;font-weight:bold;" value="&lt;&lt; <%=Trans.T("previous")%>" onclick="INSTALLER.install(1)" />
    </div>
</div>
</asp:Content>

